Package com.independentsoft.office.odf.fields

# Class DatabaseDisplay

java.lang.Object
com.independentsoft.office.odf.fields.Field
com.independentsoft.office.odf.fields.DatabaseDisplay

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class DatabaseDisplay extends Field
Represents data from the current database row.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.fields.Field

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatabaseDisplay()`
  Initializes a new instance of the DatabaseDisplay class.
  `DatabaseDisplay​(InternalXMLStreamReader reader)`
  Instantiates a new database display.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatabaseDisplay`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getColumnName()`
  Gets the name of the column from which data is displayed.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getName()`
  Gets the source database by its name.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets the data style to format a numeric value.
  `String`
  `getTableName()`
  Gets a table within a source database.
  `TableType`
  `getTableType()`
  Gets the reference made by a database table.
  `String`
  `getValue()`
  Gets the current database row value.
  `void`
  `setColumnName​(String columnName)`
  Sets the name of the column from which data is displayed.
  `void`
  `setName​(String name)`
  Sets the source database by its name.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets the data style to format a numeric value.
  `void`
  `setTableName​(String tableName)`
  Sets a table within a source database.
  `void`
  `setTableType​(TableType tableType)`
  Sets the reference made by a database table.
  `void`
  `setValue​(String value)`
  Sets the current database row value.
  `String`
  `toString()`
  Converts the value of the current DatabaseDisplay object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DatabaseDisplay

    public DatabaseDisplay()
    Initializes a new instance of the DatabaseDisplay class.

  - ### DatabaseDisplay

    public DatabaseDisplay​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new database display.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Field`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Field`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Field`
    Parameters:
      `parent` - the new parent

  - ### clone

    public DatabaseDisplay clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in class `Field`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DatabaseDisplay object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the source database by its name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the source database by its name.
    Parameters:
      `name` - the new name

  - ### getTableName

    public String getTableName()
    Gets a table within a source database.
    Returns:
      the table name

  - ### setTableName

    public void setTableName​(String tableName)
    Sets a table within a source database.
    Parameters:
      `tableName` - the new table name

  - ### getTableType

    public TableType getTableType()
    Gets the reference made by a database table.
    Returns:
      the table type

  - ### setTableType

    public void setTableType​(TableType tableType)
    Sets the reference made by a database table.
    Parameters:
      `tableType` - the new table type

  - ### getColumnName

    public String getColumnName()
    Gets the name of the column from which data is displayed. The value of this attribute shall be a column name contained in the current selection as specified by the data source.
    Returns:
      the column name

  - ### setColumnName

    public void setColumnName​(String columnName)
    Sets the name of the column from which data is displayed. The value of this attribute shall be a column name contained in the current selection as specified by the data source.
    Parameters:
      `columnName` - the new column name

  - ### getStyle

    public String getStyle()
    Gets the data style to format a numeric value.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the data style to format a numeric value.
    Parameters:
      `style` - the new style

  - ### getValue

    public String getValue()
    Gets the current database row value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the current database row value.
    Parameters:
      `value` - the new value